Bug 550647 - yum-aliases plugin dies when given empty args: yum ""
yum-aliases plugin dies when given empty args: yum ""
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
abrt_hash:3d6a8e5b
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-26 11:34 EST by ashwin
Modified: 2014-01-21 18:13 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.1.25-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-04 12:09:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.54 KB, text/plain)
2009-12-26 11:34 EST, ashwin
no flags Details

  None (edit)
Description ashwin 2009-12-26 11:34:34 EST
abrt 1.0.0 detected a crash.

backtrace
-----
Summary: TB3d6a8e5b aliases.py:77:resolve_aliases:IndexError: string index out of range

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 315, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 180, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 351, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 720, in doCommand
    return base.doShell()
  File "/usr/share/yum-cli/cli.py", line 290, in doShell
    yumshell.cmdloop()
  File "/usr/lib/python2.6/cmd.py", line 142, in cmdloop
    stop = self.onecmd(line)
  File "/usr/lib/python2.6/cmd.py", line 213, in onecmd
    return self.default(line)
  File "/usr/share/yum-cli/shell.py", line 90, in default
    self.base.plugins.run('args', args=xargs)
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 177, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/aliases.py", line 166, in args_hook
    resolve_aliases(args=conduit.getArgs(), log=conduit.info)
  File "/usr/lib/yum-plugins/aliases.py", line 77, in resolve_aliases
    if arg[0] != '-':
IndexError: string index out of range

Local variables in innermost frame:
log: <bound method ArgsPluginConduit.info of <yum.plugins.ArgsPluginConduit instance at 0xa89f8ec>>
skip: 0
args: ['']
need_rep: False
num: 0
arg: 

cmdline: /usr/bin/python /usr/bin/yum shell 
component: yum
executable: /usr/bin/yum
kernel: 2.6.31.6-166.fc12.i686.PAE
package: yum-3.2.25-1.fc12
uuid: 3d6a8e5b
Comment 1 ashwin 2009-12-26 11:34:38 EST
Created attachment 380440 [details]
File: backtrace
Comment 2 James Antill 2009-12-26 16:20:22 EST
Cute:

args: ['']

...that was unexpected. Fixed upstream.
Comment 3 Fedora Update System 2010-01-27 07:13:15 EST
yum-utils-1.1.25-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-utils-1.1.25-1.fc12
Comment 4 Fedora Update System 2010-02-11 09:47:43 EST
yum-utils-1.1.25-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.